Subject: bug#33891: 26.1.90; Occasional redrawing problems on macOS

From: Alan Third <[email-masked]>
Date: Fri, 28 Dec 2018 21:36:19 +0000

On Thu, Dec 27, 2018 at 09:49:44AM -0800, John Wiegley wrote:
> I have no way to reproduce this, I just want the developers to know since Eli
> tells me there have been recent changes in the redisplay code.
> 
> Emacs 26.1 was pretty rock solid on macOS, using --with-ns. In 26.1.90, I
> notice semi-frequent redisplay problems that don't reproduce when I try the
> same command again.
> 
> For example, sometimes when I enter Gnus, and everything looks fine, suddenly
> the majority of the screen will go black (except for the current summary
> line). Moving the cursor brings back the article I'm reading, but even C-l
> doesn't redraw the summary lines. I have to page down and page back up to get
> them to redraw again.
> 
> This happens in all types of buffers: code, eshell, Gnus, Org, etc. The basic
> behaviors I've seen are that either the current line goes black, and
> everything else is fine, or the whole frame goes black.
> 
> I'd never seen this behavior before 26.1.90.

Hi John, the problem is that in macOS Mojave Apple completely removed
the method we were using to draw the frame. Unfortunately, like you
say, the issues we’re still seeing are hard to reproduce consistently.

We have had one reproducible bug report (bug#33864). I’ve got a fix
for that, so hopefully that makes a difference in situations other
than the reported behaviour.
-- 
Alan Third